## lprng 3.2.1

=== po/Makefile ===
# Generated automatically from Makefile.in.in by configure.
# Dummy Makefile for program source directory in GNU NLS utilities package.
#
# Note 1: you need to get the gettext code to use this -
#  ftp://prep.ai.mit.edu/pub/gnu/gettext-<versions>
#    read the instructions,  install the gettext functions,
#  When you install gettext, it will usually create the following
#  directories - 
#   /usr/local/share/po
#   /usr/local/share/intl
#  you will need to either copy or make symbolic links as follows:
#
# LPRng/po/Makefile.in.in - symbolic link to /usr/local/share/po/Makefile.in.in
#    rm po/Makefile.in.in
#    EITHER:
#      cp /usr/local/share/po/Makefile.in.in po/Makefile.in
#    OR
#      ln -s /usr/local/share/po/Makefile.in.in po/Makefile.in
#

all: all-yes

all-yes:
	echo "You need to link to the correct Makefile.in.in - see README.gettext"
	exit 1;
all-no:
	echo "No internationalization"

install installcheck uninstall check mostlyclean clean:

distclean:
.NOEXPORT:
