=== intl/Makefile ===
all: all-no

all-yes:
	echo "You need to link to the correct Makefile.in.in - see README.gettext"
	exit 1;
all-no:
	echo "No internationalization"

install installcheck uninstall check mostlyclean clean:

cifast ci:

distclean:
.NOEXPORT:
