=== po/Makefile ===
--- 
+++ 
@@ -28,7 +28,7 @@
 
 install installcheck uninstall check mostlyclean clean:
 
-ci:
+cifast ci:
 
 distclean:
 .NOEXPORT:
