=== PrintingCookbook/source/images/Makefile ===
all:
	fiximages *.png
	cp x_* ..
