## lprng 3.8.28dfsg.1

=== PrintingCookbook/source/images/Makefile ===
all:
	./fiximages *.png
	cp x_* ..
