## lprng 3.8.B

=== debian/changelog ===
lprng (3.8.B-10) unstable; urgency=medium

  * add service file (Closes: #1039256)
  * debian/control: remove mawk | gawk as dependency (Closes: #1077647)
    Thanks to Santiago Vila for the patch.
  * debian/control: remove Conflicts: for packages no longer available
  * debian/control: Update to Standards-Version 4.7.2 (no changes)
  * add spelling.patch

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 01 Nov 2025 14:03:02 +0100

lprng (3.8.B-9) unstable; urgency=medium

  * add ca.po (Closes: #1106012)
    Thanks to Carles Pina i Estany for the translation.

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 03 Jun 2025 10:03:02 +0200

lprng (3.8.B-8) unstable; urgency=medium

  * add implicit.patch (Closes: #1066523)
  * debian/watch: update to version 4
                  (probably "upstream" has problems anyway)
  * add ro.po (Closes: #1032342)

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 16 Mar 2024 10:03:02 +0100

lprng (3.8.B-7) unstable; urgency=medium

  * new maintainer (Closes: #511461)
  * debian/control: bump standard to 4.6.2 (no changes)
  * debian/control: move maintenance to debian-printing team

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 07 Oct 2023 22:03:02 +0200

lprng (3.8.B-6) unstable; urgency=medium

  * QA Upload.
  * Fix FTCBFS (Closes: #915887)
    + Use dh_auto_configure instead of ./configure directly.

 -- Nilesh Patra <nilesh@debian.org>  Sat, 09 Jul 2022 21:05:12 +0530

lprng (3.8.B-5) unstable; urgency=medium

  * QA upload.
  * debian/rules: Pass CHOWN and CHGRP to configure (Closes: #977428).
  * debian/control: Update Priority to optional.
  * debian/changelog: Fix erroneous email address in old changelog entry.
  * debian/changelog: Remove trailing whitespace.
  * debian/control: Fix typo in "Vcs-Browser".
  * debian/control: Set Rules-Requires-Root to "no".
  * debian/copyright: Update URL for "Format".
  * debian/copyright: Update to BSD-4 license.
  * Update to debhelper-compat 13.
  * debian/control: Add Pre-Depends for "${misc:Pre-Depends}".
  * debian/control: Update to Standards-Version 4.5.1.

 -- Vagrant Cascadian <vagrant@reproducible-builds.org>  Mon, 21 Dec 2020 13:38:59 -0800

lprng (3.8.B-4) unstable; urgency=medium

  * QA upload.
  * Set VCS fields: upload to Salsa.

 -- Thadeu Lima de Souza Cascardo <cascardo@debian.org>  Sat, 31 Oct 2020 08:10:41 -0300

lprng (3.8.B-3) unstable; urgency=medium

  [ Jérémy Bobbio ]
  * Remove build date from lpd.conf (Closes: #773981)

  [ Thadeu Lima de Souza Cascardo ]
  * Set Debian QA Group as Maintainer

 -- Thadeu Lima de Souza Cascardo <cascardo@debian.org>  Sun, 04 Oct 2020 11:31:51 -0300

lprng (3.8.B-2.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix build with gcc-10

 -- Thadeu Lima de Souza Cascardo <cascardo@debian.org>  Sat, 29 Aug 2020 09:36:08 -0300

lprng (3.8.B-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Specify executable and user to stop-start-daemon; closes security
    issue and fixes starting  with buster dpkg, Closes: #928040
  * Use --oknodo on start so that systemd doesn't fail if lprng is already
    running, Closes: #908770

 -- Sam Hartman <hartmans@debian.org>  Wed, 22 May 2019 09:18:03 -0400

lprng (3.8.B-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Don't lose authentication support when compiled with OpenSSL 1.1, patch by
    Reiner Herrmann <reiner@reiner-h.de> (Closes: #854468).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Wed, 08 Feb 2017 21:20:30 +0100

lprng (3.8.B-2) unstable; urgency=low

  * Compilies on hurd-i386 Closes: #671848
  * Added note about needed modules Closes: #659999
  * Added support for "status" action to init script from Peter Eisentraut
    Closes: #651459
  * Updated to debhelper compat 9
  * Updated to Debian standard 3.9.3
  * Patched source to compile with harden flags
  * Fixed configure flags to find openssl libs
  * filters moved to multiarch location
  * Added lpd.conf example Closes: #618482

 -- Craig Small <csmall@debian.org>  Mon, 11 Jun 2012 18:06:30 +1000

lprng (3.8.B-1) unstable; urgency=low

  * New upstream release
  * Changed source format to 3.0 (quilt)
  * Updated to standards version 3.9.1
  * Minor fixes to lpd.conf manpage

 -- Craig Small <csmall@debian.org>  Mon, 28 Feb 2011 09:25:20 +1100

lprng (3.8.A-3) unstable; urgency=low

  * Corrected patch for kfreebsd Closes: #537857
  * postinst checks for symlink on printcap Closes: #544986
  * Documented lpd_listen_port in lpd.conf man page Closes: #492684
  * Maintainer upload Closes: #544991
  * Changed rules file for new debhelper
  * Changed from dpatch to quilt for patching
  * Fixed symlinks for 2 filter man pages

 -- Craig Small <csmall@debian.org>  Tue, 22 Sep 2009 15:34:35 +1000

lprng (3.8.A-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Corrected runlevel settings in init.d script header, and add postinst
    code to recover installations affected by this bug (Closes:
    #541233).
  * Fixed build problem on kfreebsd (Closes: #537857).  Patch from
    Petr Salinger.
  * Updated debconf translations for Brazilian Portuguese from
    Eder L. Marques (Closes: 511890).
  * Updated debconf translation for Czech from Jan Outrata (Closes: #534967)

 -- Petter Reinholdtsen <pere@debian.org>  Fri,  4 Sep 2009 10:24:59 +0200

lprng (3.8.A-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * The ''fix other packages breaking us'' release:
    + work around bug 489765 (and similars) by documenting
      it in the news file.
  * debian/control:
    + include misc-depends on the package, as we use debhelper.
    + upgrade standards version to 3.8.1 (no changes needed).
  * debian/config:
    + include set -e in the config script.
  * debian/README:
    + include information regarding printing with GTK 2.

 -- Rogério Brito <rbrito@ime.usp.br>  Wed, 20 May 2009 12:28:46 -0300

lprng (3.8.A-2) unstable; urgency=low

  * Added debconf translations:
    - Finnish. Closes: #496233

