=== debian/control ===
Source: lprng
Section: net
Priority: optional
Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat (= 13)
	, procps
	, libwrap0-dev
	, libkrb5-dev
	, debconf | debconf-2.0
	, libssl-dev
	, po-debconf
	, openssl
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: http://lprng.sourceforge.net/
Vcs-Git: https://salsa.debian.org/debian/lprng.git
Vcs-Browser: https://salsa.debian.org/debian/lprng

Package: lprng
Architecture: any
Multi-Arch: foreign
Pre-Depends: ${misc:Pre-Depends},
 debconf | debconf-2.0,
Depends: lsb-base (>= 2.0), ${shlibs:Depends}, ${misc:Depends}
Provides: lpr
Suggests: magicfilter, lprng-doc
Conflicts: lpr, cupsys-bsd
Replaces: lpr
Description: lpr/lpd printer spooling system
 The  LPRng  software  is an enhanced, extended, and portable  version
 of the Berkeley LPR software (the standards UNIX printer spooler)
 You can use this for local and remote printers.
