=== debian/watch ===
# watch file for LPRng
#
version=4

ftp://ftp.lprng.com/pub/LPRng/LPRng/LPRng-(.*)\.tgz \
  debian uupdate
